Subject: Re: bug#56327: Regression: openssh service fails to start if system has no IPv6
From: Ludovic Courtès <[email-masked]>
To: André Batista <[email-masked]>
Cc: [email-masked]
Date: Fri, 01 Jul 2022 23:56:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

André Batista <[email-masked]> skribis:

> I've tested the following patch, which tests for IPv6 support, on
> both a system without IPv6 and another with it, but I have not tested
> on a system with shepherd < 0.9.1. Hopefuly it works as expected.

Older versions of shepherd are not relevant in this case.

I’ve fixed it slightly differently in commit
bf7e07d299b197891110fbd8c717badbab06a472, to avoid a file descriptor
leak.  Thanks!

Out of curiosity: I suppose you’re explicitly disabling IPv6 by using a
custom kernel or with an activation snippet that fiddles with /proc or
/sys, right?

Ludo’.